Support » Plugin: Section Widget » Constructor Method Deprecated and Cannot Modify Header of Section Widget

  • Receiving error messages when activating plugin that Constructor Method for WP_Widget is deprecated since 4.3.0, also receiving a warning that cannot modify headers. Here are the messages:

    Notice: The called constructor method for WP_Widget is deprecated since version 4.3.0! Use
    __construct()
    instead. in /home/../public_html/wp-includes/functions.php on line 3457

    Notice: The called constructor method for WP_Widget is deprecated since version 4.3.0! Use
    __construct()
    instead. in /home/../public_html/wp-includes/functions.php on line 3457

    Warning: Cannot modify header information – headers already sent by (output started at /home/../public_html/wp-includes/functions.php:3457) in /home/../public_html/wp-includes/pluggable.php on line 1207

    I would like to fix this. I love this plugin and it’s not working with WP update to 4.3.

    Thank you

    https://wordpress.org/plugins/section-widget/

  • The topic ‘Constructor Method Deprecated and Cannot Modify Header of Section Widget’ is closed to new replies.